[metadata]
name = django-modeltranslation
version = file:VERSION
description = Translates Django models using a registration approach.
long_description = file:README.rst
long_description_content_type = text/x-rst
author = Peter Eschler
author_email = peschler@gmail.com
url = https://gitlab.com/georgy.komarov/django-modeltranslation
project_urls =
    Source = https://gitlab.com/georgy.komarov/django-modeltranslation
    Mailing List = http://groups.google.com/group/django-modeltranslation
classifiers =
    Programming Language :: Python
    Programming Language :: Python :: 3.7
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9
    Programming Language :: Python :: 3.10
    Operating System :: OS Independent
    Environment :: Web Environment
    Intended Audience :: Developers
    Framework :: Django
    License :: OSI Approved :: BSD License
license = New BSD
[options]
install_requires =
    Django>=3.2
    typing-extensions
    importlib-metadata; python_version<"3.8"
packages =
    modeltranslation
    modeltranslation.management
    modeltranslation.management.commands
[options.package_data]
modeltranslation =
    static/modeltranslation/css/*.css
    static/modeltranslation/js/*.js
[flake8]
max-line-length = 100
ignore = E722, E241, E203, E266, E501, W503
exclude = .tox
